<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core_8h" kind="file" language="C++">
    <compoundname>cy_crypto_core.h</compoundname>
    <includes local="yes" refid="cy__crypto__core__aes_8h">cy_crypto_core_aes.h</includes>
    <includes local="yes" refid="cy__crypto__core__crc_8h">cy_crypto_core_crc.h</includes>
    <includes local="yes" refid="cy__crypto__core__cmac_8h">cy_crypto_core_cmac.h</includes>
    <includes local="yes" refid="cy__crypto__core__des_8h">cy_crypto_core_des.h</includes>
    <includes local="yes" refid="cy__crypto__core__ecc_8h">cy_crypto_core_ecc.h</includes>
    <includes local="yes" refid="cy__crypto__core__ecc__nist__p_8h">cy_crypto_core_ecc_nist_p.h</includes>
    <includes local="yes" refid="cy__crypto__core__hmac_8h">cy_crypto_core_hmac.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw_8h">cy_crypto_core_hw.h</includes>
    <includes local="yes" refid="cy__crypto__core__prng_8h">cy_crypto_core_prng.h</includes>
    <includes local="yes" refid="cy__crypto__core__mem_8h">cy_crypto_core_mem.h</includes>
    <includes local="yes" refid="cy__crypto__core__rsa_8h">cy_crypto_core_rsa.h</includes>
    <includes local="yes" refid="cy__crypto__core__sha_8h">cy_crypto_core_sha.h</includes>
    <includes local="yes" refid="cy__crypto__core__trng_8h">cy_crypto_core_trng.h</includes>
    <includes local="yes" refid="cy__crypto__core__vu_8h">cy_crypto_core_vu.h</includes>
    <includedby local="yes" refid="cy__pdl_8h">cy_pdl.h</includedby>
    <briefdescription>
<para>This file provides common constants and parameters for the Crypto driver core interface. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="78"><highlight class="preprocessor">#if<sp />!defined(CY_CRYPTO_CORE_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_CORE_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_aes.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_crc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_cmac.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_des.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_ecc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_ecc_nist_p.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hmac.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_prng.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_mem.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_rsa.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_sha.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_trng.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_vu.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />!defined(CY_CRYPTO_CORE_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core.h" />
  </compounddef>
</doxygen>